This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 457254

Summary: Unable to create guests with 2047MB RAM on 64bit host
Product: [Fedora] Fedora Reporter: Brenton Leanhardt <bleanhar>
Component: qemuAssignee: David Woodhouse <dwmw2>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9CC: hdegoede, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 11:18:31 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Brenton Leanhardt 2008-07-30 11:22:59 EDT
Description of problem:
Unable to create guests with 2047MB RAM on 64bit host.

Version-Release number of selected component (if applicable):

qemu-img-0.9.1-6.fc9.x86_64
qemu-0.9.1-6.fc9.x86_64
kvm-65-7.fc9.x86_64

Linux dhcp227-13.rdu.redhat.com 2.6.25.11-97.fc9.x86_64 #1 SMP Mon Jul 21
01:09:10 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux

Host is a dell 7400 with 2 Quad core Xeon processors.  It has a total of 16GB of
RAM.

How reproducible:

Here's the qeumu command 
[root@dhcp227-13 qemu]# cat
/var/log/libvirt/qemu/bleanhar2-developer-workstation.log 
/usr/bin/qemu -S -M pc -m 2047 -smp 1 -name bleanhar2-developer-workstation
-monitor pty -no-reboot -boot c -kernel
/var/lib/libvirt/boot/virtinst-vmlinuz.XP3gxQ -initrd
/var/lib/libvirt/boot/virtinst-initrd.img.JS0iqL -append ksdevice=eth0 lang=
text
ks=http://10.11.227.192/cblr/svc/op/ks/system/bleanhar1-developer-workstation
syslog=10.11.227.192:25150 kssendmac 
method=http://10.11.227.192/cblr/links/Fedora-9-i386/ -drive
file=/images/bleanhar2-developer-workstation-disk0,if=ide,index=0 -net
nic,macaddr=00:16:3e:20:2d:51,vlan=0 -net tap,fd=15,script=,vlan=0,ifname=vnet1
-serial pty -parallel none -usb -vnc 127.0.0.1:1 
Could not allocate physical memory
  
Actual results:

Could not allocate physical memory

Expected results:

64 bit KVM hosts should be allowed to have > 2GB of RAM 


Additional info:
Under 32bit F9 2047MB is the limit.  I can boot this VM just fine when using
32bit F9.  Under the 64bit host if I lower the Guest RAM to 1024 it starts as
expected.

I switched to 64bit because the KVM docs say that > 2GB is possible.
Comment 1 Bug Zapper 2009-06-09 22:18:17 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 11:18:31 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.